package extract;

import java.awt.image.BufferedImage;
import java.util.ArrayList;

public class BKSprite {
	ArrayList<BufferedImage> images;
	ArrayList<Integer> offx,offy;
	public int getNumImages()
	{
		return images.size();
	}
	public BKSprite()
	{
		images = new ArrayList<BufferedImage>();
		offx = new ArrayList<Integer>();
		offy = new ArrayList<Integer>();
	}
	public void addImage(BufferedImage image, int x, int y)
	{
		images.add(image);
		offx.add(x);
		offy.add(y);
	}
	public BufferedImage getImage(int index)
	{
		return images.get(index);
	}
	public int getOffX(int index)
	{
		return offx.get(index);
	}
	public int getOffY(int index)
	{
		return offy.get(index);
	}
}
