package view;

public enum Character {
    REIJI	("pl00_or", "Reiji Ooyama"),
    KEITH	("pl01_kw", "Keith Wayne"),
    CHINNEN	("pl02_tn", "Chinnen"),
    SAIZO	("pl03_hs", "Saizo Hattori"),
    WHITE	("pl04_wb", "White Buffalo"),
    ANNY 	("pl05_ah", "Annie Hamilton"),
    CLARA	("pl06_hk", "Clara Hananokouji"),
    KANJI	("pl07_kk", "Kokuuin Kanji (Old)"),
    POOCHY	("pl08_po", "Poochy"),
    TANE	("pl09_gt", "Tane Gouketsuji"),
    UME		("pl0a_gu", "Ume Gouketsuji"),
    OLOF	("pl0b_bg", "Olof Linderoth"),
    BUNTARO	("pl0c_ba", "Buntaro Kudo"),
    SHINTARO	("pl0d_bb", "Shintaro Kudo"),
    HIKARU	("pl0e_js", "Hikaru Joumon"),
    SISSY	("pl0f_pr", "Princess Sissy"),
    ANGELA	("pl10_an", "Angela Belti"),
    KANJIK	("pl11_km", "Kokuuin Kanji (Young)"),
    KINTARO	("pl12_kn", "Kokuuin Kintaro"),
    SCLARA	("pl13_sk", "Super Clara"),
    SUME	("pl14_su", "Super Ume"),
    STANE	("pl15_st", "Super Tane"),
    BOBBY	("pl16_bo", "Bobby Ologun"),
    KYOTU	("kyotu", "Kyotu");

    private final String tag;
    private final String name;
    Character(String tag) {
        this.tag = tag;
        this.name = "";
    }
    Character(String tag, String name) {
        this.tag = tag;
        this.name = name;
    }
    public String getTag()   { return tag; }
    public String toString() { return name; }
}
